DX Infrastructure Manager

Expand all | Collapse all

error during upgrade of primary hub from 8.47 to 9.02

Jump to Best Answer
  • 1.  error during upgrade of primary hub from 8.47 to 9.02

    Posted 02-19-2020 02:19 PM

    I am encountering an error during the upgrade of a primary hub from 8.47 to 9.02

    1. 2020-02-15 12:27:26,289 ERROR impl.UIMServerConfigureController:run:547 [Thread-32]  - NimException caught (1) error, org.apache.commons.exec.ExecuteException: Process exited with an error: -1073741515 (Exit value: -1073741515): Process exited with an error: -1073741515 (Exit value: -1073741515)

    This error indicates it needs "Microsoft Visual C++ 2017 Redistributable"

    1. according to:  https://ca-broadcom.wolkenservicedesk.com/external/article?articleId=125418&_ga=2.261332045.1955954301.1581789534-172842270.1541436296

    When I execute the 2017 redistributable, that generates the following error:

    1. [224C:403C][2020-02-19T12:23:37]i301: Applying execute package: Windows81_x64, action: Install, path: C:\ProgramData\Package Cache\3ACBF3890FC9C8A6F3D2155ECF106028E5F55164\packages\Patch\x64\Windows8.1-KB2999226-x64.msu, arguments: '"C:\Windows\SysNative\wusa.exe" "C:\ProgramData\Package Cache\3ACBF3890FC9C8A6F3D2155ECF106028E5F55164\packages\Patch\x64\Windows8.1-KB2999226-x64.msu" /quiet /norestart'
    2. [224C:403C][2020-02-19T12:23:37]e000: Error 0x80240017: Failed to execute MSU package.
    3. [42F8:2380][2020-02-19T12:23:37]e000: Error 0x80240017: Failed to configure per-machine MSU package.
    4. [42F8:2380][2020-02-19T12:23:37]i319: Applied execute package: Windows81_x64, result: 0x80240017, restart: None
    5. [42F8:2380][2020-02-19T12:23:37]e000: Error 0x80240017: Failed to execute MSU package.
    6. [224C:403C][2020-02-19T12:23:37]i372: Session end, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{56e11d69-7cc9-40a5-a4f9-8f6190c4d84d}, resume: None, restart: None, disable resume: No

    That Windows8.1-KB2999226-x64.msu package is a hotfix for "Microsoft Visual C++ 2015 Redistributable"

    The "Microsoft Visual C++ 2015 Redistributable" is in fact installed on windows, but the UIM archive does not include that one so I'm guessing that update is getting in the way of the usual UIM upgrade tool which relies on 2017. 

    I'm proposing the following solution, but I'd like to confirm I am not making a mountain out of a molehill:

    1. Remove the 2015 redistributable from the windows updates and then attempt the install of the 2017 redistributable.

    Is that recommended or is there a better solution?

    Thanks

    Steve



  • 2.  RE: error during upgrade of primary hub from 8.47 to 9.02

    Posted 02-19-2020 02:29 PM
    I would download the latest 2008 and 2017 C++ runtime libraries from MS both the x86 and the x64 and install.
    Reboot your server
    then do the install.
    That should get you past this.
    After you have upgraded it should be safe to remove the 2005 versions.

    ------------------------------
    Gene Howard
    Principal Support Engineer
    Broadcom
    ------------------------------



  • 3.  RE: error during upgrade of primary hub from 8.47 to 9.02
    Best Answer

    Posted 02-19-2020 05:22 PM
    Edited by Chris Pearson 02-24-2020 10:16 AM

    FYI, Microsoft currently combines 2015-2019 in a single package now. It will remove your 2015 version as part of its installation. This should not create an issue, but it may as this is something new that they recently started, and not sure we have seen anyone upgrade yet with the combined package in place. 

    I have it in place in already configured labs and have not seen any issues.




  • 4.  RE: error during upgrade of primary hub from 8.47 to 9.02

    Posted 02-24-2020 10:27 AM
    Update:

    Downloading the latest versions of the c++ redist for 2008 and 2015 - 2019 encountered the same installer error.

    Solution:
    download, unpack and individually install each KB recommended by the windows update checker.  The standard windows updater also errored out trying to apply the KB packages.  they had to be applied individually.  THEN applying the c++ redist completed with no errors.